Tabs are displayed on two lines when the total width of the tabs is greater than 2000px
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.7   

Resolution: Fixed Affected version: 4.0.0

Description

New tab based history has issue with drawing tab frames.

 

Tested on Chrome and IE.

Environment:

  Redmine version                4.1.0.stable

  Ruby version                   2.5.7-p206 (2019-10-01) [x64-mingw32]

  Rails version                  5.2.4.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.11.1

  Git                            2.19.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Associated revisions

Revision 19437 - 2020-01-19 03:42 - Go MAEDA

Tabs are displayed on two lines when the total width of the tabs is greater than 2000px (#32772).

Patch by Bernhard Rohloff.

Revision 19438 - 2020-01-19 03:43 - Go MAEDA

Merged r19437 from trunk to 4.1-stable (#32772).

Revision 19439 - 2020-01-19 03:44 - Go MAEDA

Merged r19437 from trunk to 4.0-stable (#32772).

History

#1 - 2020-01-12 20:36 - Marius BĂLTEANU

- File Screenshot 2020-01-12 at 21.21.21.png added

- File Screenshot 2020-01-12 at 21.19.39.png added

- File Screenshot 2020-01-12 at 21.20.13.png added

- File Screenshot 2020-01-12 at 21.34.26.png added

- Status changed from New to Needs feedback

- Assignee set to Sebastian Paluch

I cannot reproduce, tried on OS Catalina with Chrome (latest) and Windows with Chrome (latest), Edge 17 and 18. Attached some screenshots.

Can you try a hard reload in Chrome or incognito?
#2 - 2020-01-13 09:30 - Sebastian Paluch

I have retried with:

Chrome 79.0.3945.79, also in incognito.

IE 11.1087

Edge 41 / EdgeHTML 16

In both cases I use Alternate theme.

I have noticed this is dependent on the windows width and shows up above ~2400 pixels.

#3 - 2020-01-15 10:07 - Go MAEDA

- File alternate-theme.png added

Sebastian Paluch wrote:

In both cases I use Alternate theme.

 I think the theme you are using is not Alternate. The line at the bottom of the note header ("Updated by xxxxx ...") is not displayed with Alternate

theme.

Could you try with "genuine" Alternate theme?

 alternate-theme.png 

#4 - 2020-01-15 11:00 - Sebastian Paluch

- File alternate.png added

- File classic.png added

Go MAEDA wrote:

I think the theme you are using is not Alternate. The line at the bottom of the note header ("Updated by xxxxx ...") is not displayed with Alternate

theme.

 The issue exists with Alternate theme.

 

With classic it looks this way

 

#5 - 2020-01-15 16:20 - Bernhard Rohloff

- File fix_tab_width.diff added

- Status changed from Needs feedback to Confirmed

I can reproduce the issue by pulling the browser window over my two low resolution monitors.

It's because the `ul` container inside the tabs class is hard set to 2000px.

The attached patch should fix the problem.

S H Paluch can you double check that the problem is gone after applying the patch?

#6 - 2020-01-16 09:51 - Sebastian Paluch

Bernhard Rohloff wrote:

S H Paluch can you double check that the problem is gone after applying the patch?

 Yes, the patch fixes the issue with not drawing the line at the end (highlighted with red at the right side).

I don't know though what was the design intent about horizontal and vertical lines. They not getting together, they are not closing the frame

(highlighted with red on the left side). Frames in other places are closed, therefore this looks like an issue.
#7 - 2020-01-18 10:13 - Marius BĂLTEANU

- File settings.png added

- Subject changed from Broken issue tab based history frame to Tabs are displayed on two lines when the total width of the tabs is greater than

2000px

- Category changed from Issues to UI

- Assignee deleted (Sebastian Paluch)

- Target version set to 4.0.7

Thanks Bernhard for finding the cause of the issue and for the fix. I remember now that the issue reproduces also on Settings page (or other page

with tabs) when the total width of the tabs is greater than 2000px.

 settings.png 

I'm assigning this to 4.0.7.

Sebastian Paluch wrote:

I don't know though what was the design intent about horizontal and vertical lines. They not getting together, they are not closing the frame

(highlighted with red on the left side). Frames in other places are closed, therefore this looks like an issue.

 Is the expected design, please see #26662, but I agree with you that it looks strange. I've proposed in #31573 another design for journal entries,

maybe you can add your feedback there.

#8 - 2020-01-18 10:13 - Marius BĂLTEANU

- Affected version changed from 4.1.0 to 4.0.0

#9 - 2020-01-19 03:46 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for investigating and fixing this issue.
